// Metric: 0 - Chars or 6 - Pixels only
// File -- Banner.cc

/* 
   ----------------------------------------------------------------
    Description:
 
       A container class that can be dropped onto a form and
       act like a marquee -- using a timer and a text control
       the text will scroll at the speed specified ...
         
    Programmers:
 
       Alan Katz (posted in the Borland VdBASE newsgroups ...)
       Ken Mayer (minor additions) 

    History:
 
       03/29/1998 -- First version

    Instantiation:
 
       set procedure to banner.cc additive
       // bring up a form in the forms designer
       // drop an instance of this container from the
       // custom page of the control palette
       // set text and speed properties ...

       Special Properties:
          ScrollText = Text you want to scroll -- note that 
                       you can include HTML ...
          Speed      = Speed timer updates in seconds

    WARNING:
        In your form's onClose event, you should deactivate
        the banner in a manner similar to:

            form.Banner1.Timer1.enabled := false

            // you might want to completely remove the timer:
            release object form.Banner1.Timer1
            form.Banner1.Timer1 := null

        Otherwise you will run into some issues with the timer
        still existing, but the code associated with it not ...
   ----------------------------------------------------------------
*/

Class Banner( formObj ) of Container( formObj ) Custom
   with (this)
      onOpen = class::BANNER_ONOPEN
      left = 6.8571
      top = 5.5455
      width = 43.8571
      height = 1.6364
   endwith
   this.ScrollText = '<h3><font color="blue">Watch me scroll off the screen.....</font></h3>'
   this.Speed      = .1 // .3 = approximately 1/2 second

   this.TEXT1 = new TEXT(this)
      with (this.TEXT1)
         height = 0.8636
         left = 41.5714
         top = 0.3182
         width = 36.8571
         pageno = 0
      endwith


   function onDesignOpen( lFromPalette )
      if lFromPalette and form.metric == 6 // Pixels
         this.height       :=  36
         this.width        := 307
         this.text1.left   := 291
         this.text1.top    :=   7
         this.text1.width  := 258
         this.text1.height :=  19
      endif
   return

   function BANNER_onOpen

     this.timer1 = new timer()
     this.timer1.owner = this
     with (this.timer1)
        onTimer = {;this.owner.Scroll()}
        enabled = true
     endwith
     this.text1.text = this.ScrollText
     this.timer1.interval = this.Speed

   return

   function scroll
      if this.text1.left <= ;
         this.left-this.text1.width
         this.text1.left =this.left+this.text1.width-1
      else
         this.text1.left --
      endif
endclass

// End of Banner.cc