/*
    -----------------------------------------------------------
    custbuttDanish.h              
    February 9, 1999              
    Ken Mayer
    Danish Translation of "custButtEnglish.h" 
       by Ivar B. Jessen

     *** Note: you should copy this file to your
     ..\Visual dBASE\INCLUDE directory for it to
     be used properly by all of your applications.

    This is an 'include' file with the speedTips and
    message box text for each of the buttons in CUSTBUTT.CC.
    The idea is that by defining them here, someone using
    another language can copy this file and translate the
    text in the .H file, and the only change necessary in
    CUSTBUTT.CC is the #INCLUDE statement to include
    the correct file.

    When translating, make sure you do NOT change the names
    of the constants ...

    *****************
    November 11, 2000
    *****************
    NOTE: If you update your application to use the 
    CUSTBUTT.CC file from dUFLP version 2KC (DUFLP2KC.EXE),
    then you MUST update your .H file -- this is a fix based
    on a discovery that EMPTYTABLE and FILTER strings could
    cause problem in code that used the database object
    emptyTable method, or the rowset object's filter property.
    These strings are defined as EMPTYTABLETEXT and FILTERTEXT
    now, and will not cause a conflict.

    Suggestion by Francesco Navarria, in Italy ...
    **********************************************************
    *** WARNING: If you are not using an ANSI language driver
    *** for your tables (at the Command window: ? LDRIVER()
    *** it should be obvkous) or have the setting:
    ***  LDRIVER=WINDOWS in your VDB.INI file (under the
    *** [CommandSettings] heading) do NOT attempt save
    *** this file ... you can wipe out the upper ANSI characters
    *** used. 
    **********************************************************
    -----------------------------------------------------------
*/

// ----------------------------------------------------------
// navigation buttons:
                                //"First row in rowset"
#define TOPTIP                  "Frste rkke i rkkest"
                                //"Previous row in rowset"
#define PREVTIP                 "Foregende rkke i rkkest"
                                 //"Next row in rowset"
#define NEXTTIP                 "Nste rkke i rkkest"
                                //"Last row in rowset"
#define ENDTIP                  "Sidste rkke i rkkest"

// ----------------------------------------------------------
// editing buttons:
                                //"Add new row"
#define ADDTIP                  "Tilfj ny rkke"
                                //"Copy data to a new Row"
#define CARRYTIP                "Kopier data til en ny rkke"
                                //"Edit current row"
#define EDITTIP                 "Rediger aktuelle rkke"
                                //"Save current row"
#define SAVETIP                 "Gem aktuelle rkke"
                                //"Delete current row"
#define DELETETIP               "Slet aktuelle rkke"
                                //"Abandon changes to row"
#define ABANDONTIP              "Fortryd ndringer i rkke"

// ----------------------------------------------------------
// filter/locate buttons:
                                //"Filter/Run/Clear Filter"
#define FILTERTIP               "Set Filter/Kr/Ryd Filter"
                                //"Locate/Run/Clear Locate"
#define LOCATETIP               "Sg/Kr/Ryd Sgning"

// ----------------------------------------------------------
// clipboard buttons:
                                //"Cut selected text"
#define CUTTIP                  "Klip markeret tekst"
                                //"Copy selected text"
#define COPYTIP                 "Kopier markeret tekst"
                                //"Paste from clipboard"
#define PASTETTIP               "St ind fra udklipsholder"

// ----------------------------------------------------------
// misc. buttons:
                                //"Close this form"
#define CLOSETIP                "Luk denne form"
                                //"Yes"
#define YESTIP                  "Ja"
                                //"No"
#define NOTIP                   "Nej"
                                //"Cancel"
#define CANCELTIP               "Annuller"
                                //"Question? Help?"
#define QUESTIONTIP             "Sprgsml?, Hjlp?"
                                //"Run"
#define RUNTIP                  "Kr"
                                //"Information"
#define INFOTIP                 "Information"
                                //"Restore from disk"
#define RESTOREFROMDISKTIP      "Gendan fra disk"
                                //"Save to disk"
#define SAVETODISKTIP           "Gem til disk"
                                //"Open file ..."
#define OPENFILETIP             "ben fil ..."
                                //"Tool Button"
#define TOOLBUTTONTIP           "Vrktjsknap"
                                //"Print"
#define PRINTTIP                "Udskriv"
                                //"Search"
#define SEARCHTIP               "Sg"
                                //"Continue search"
#define SEARCHAGAINTIP          "Fortst Sgning"
                                //"Replace"
#define REPLACETIP              "Erstat"
                               //"Exit"
#define EXITTIP                 "Afslut"
                                //"First Page"
#define FIRSTPAGETIP            "Frste Side"
                                //"Next Page"
#define NEXTPAGETIP             "Nste Side"
                                //"Previous Page"
#define PREVIOUSPAGETIP         "Foregende Side"
                                //"The Light Goes Off"
#define LIGHTBULBTIP            "Lyset Gr Ud"


// ----------------------------------------------------------
// strings used in dialog boxes in CUSTBUTT.CC
// ----------------------------------------------------------

// This one appears as the title for various dialogs
                                //"Can't do it!"
#define CANTDOIT                "Kan ikke gre det!"

// ----------------------------------------------------------
// One of these appears anytime we check to see if the rowset
// is null, and is the text in the messagebox
                                //"Cannot Navigate with no rowset!"
#define NAVNOROWSET             "Kan ikke navigere uden rkkest!"
                                //"Cannot add rows with no rowset!"
#define ADDNOROWSET             "Kan ikke tilfje rkker uden rkkest!"
                                //"Cannot copy rows on a form without a rowset!"
#define COPYNOROWSET            "Kan ikke kopiere rkker p en formular uden et rkkest!"
                                //"Cannot edit rows on a form without a rowset!"
#define EDITNOROWSET            "Kan ikke redigere rkker p en formular uden et rkkest!"
                                //"Cannot save changes to rows on a form without a rowset!"
#define SAVENOROWSET            "Kan ikke gemme ndringer i rkker p en formular uden et rkkest!"
                                //"Cannot delete rows on a form without a rowset!"
#define DELETENOROWSET          "Kan ikke slette rkker p en formular uden et rkkest!"
                                //"Cannot abandon changes to rows on a form without a rowset!"
#define ABANDONNOROWSET         "Kan ikke fortryde ndringer i rkker p en formular uden et rkkest!"
                                //"Cannot filter an empty or missing rowset!"
#define FILTERNOROWSET          "Kan ikke filtrere et tomt eller manglende rkkest!"
                                //"Cannot perform a locate with no rowset!"
#define LOCATENOROWSET          "Kan ikke fortage en sgning uden rkkest!"

// ----------------------------------------------------------
// this is the title and message when the user attempts
// to navigate or close a form and the data has
// changed ...
                                //"Data has changed"
#define DATACHANGED             "Data er ndret"
                                //"Save changes before leaving record?"
#define SAVECHANGES             "Gem ndringer fr post forlades?"

// ----------------------------------------------------------
// Title when user can't navigate:
                                //"Can't Navigate!"
#define CANTNAVIGATE            "Kan ikke navigere!"

// ----------------------------------------------------------
// Other messages ...
                                //"You are in filter mode"
#define INFILTERMODE            "Du er i filter-mde"
                                //"You are in locate mode"
#define INLOCATEMODE            "Du er i sge-mde"
                                //"At first row in rowset"
#define ATFIRSTROW              "I Frste rkke i rkkest"
                                //"At last row in rowset"
#define ATLASTROW               "I sidste rkke i rkkest"
                                //"Row is copied -- you are in append mode. Make changes and save or abandon new row."
#define ROWISCOPIED             "rkke er kopieret -- Du er i tilfje-mde. Foretag ndringer og gem eller fortryd nye rkke"
                                //"Row is being edited by another. Try again later."
#define ROWLOCKED               "Rkken redigeres af en anden. Prv igen senere."
                                //"Cannot Save edits/new row when you weren't editing/adding"
#define NOTEDITING              "Kan ikke Gemme redigeret/ny rkke da Du ikke var i redigerings/tilfje-mde"
                                //"Key Violation - That Key already exists."
#define KEYVIOLATION            "Krnkelse af Ngle -- Denne Ngle findes allerede"
                                //"Unknown error -- "
#define UNKNOWNERROR            "Ukendt fejl -- "
                                //"You are about to delete the current row." + CHR(13) + "Click Yes to delete the current row."
#define DELETEYESNO             "Du er ved at slette den aktuelle rkke." + CHR(13) + "Klik Ja for at slette den aktuelle rkke"
                                //"Nothing to delete!"
#define NOTHINGTODELETE         "Intet at slette!"
                                //"Abandoning the row will cancel the filter!"
#define ABANDONWILLCANCELFILTER "Fortrydes rkken annulleres filteret!"
                                //"Abandoning the row will cancel the locate!"
#define ABANDONWILLCANCELLOCATE "Fortrydes rkken annulleres Sgningen!"
                                //"Cannot Abandon edits/new row when you weren't editing/adding!"
#define NOTHINGTOABANDON        "Kan ikke fortryde redigeret/ny rkke da Du ikke var ved at redigere/tilfje!"
                                //"No Match"
#define NOMATCH                 "Intet matchende"
                                //"Exit from filter mode!"
#define EXITFROMFILTER          "G ud af filter-mde!"
                                //"No more matches!"
#define NOMOREMATCHES           "Ikke flere matchende!"
                                //"Can't search in memo field!"
#define CANTSEARCHINMEMO        "Kan ikke sge i notatfelt!"
                                //"Can't filter on a memo field!"
#define CANTFILTERINMEMO        "Kan ikke filtrere et notatfelt!"

// ------------------------------------------------------------
// Misc Titles
                                //"Can't Add a new row!"
#define CANTADDROW              "Kan ikke Tilfje en ny rkke!"
                                //"Can't Copy row!"
#define CANTCOPYROW             "Kan ikke Kopiere rkke!"
                                //"Copy complete"
#define COPYCOMPLETE            "Kopiering frdig"
                                //"Can't Edit row!"
#define CANTEDITROW             "Kan ikke Redigere rkke!"
                                //"Can't Save row!"
#define CANTSAVEROW             "Kan ikke Gemme rkke!"
                                //"No changes to save!"
#define NOCHANGES               "Ingen ndringer at gemme!"
                                //"Can't Delete row!"
#define CANTDELETEROW           "Kan ikke Slette rkke!"
                                //"Alert"
#define ALERT                   "Pas p!"
                                //"Empty table"
#define EMPTYTABLETEXT          "Tom tabel"
                                //"Cancel Filter?"
#define CANCELFILTER            "Annuller Filter?"
                                //"Cancel Locate?"
#define CANCELLOCATE            "Annuller Sgning?"
                                //"Can't abandon row!"
#define CANTABANDONROW          "Kan ikke fortryde rkke!"
                                //"Can't set a filter!"
#define CANTSETFILTER           "Kan ikke stte et filter!"
                                //"Filter"
#define FILTERTEXT              "Filtrr"
                                //"Can't start a search!"
#define CANTSEARCH              "Kan ikke starte en Sgning!"
                                //"Search"
#define SEARCH                  "Sg"

// -----------------------------------------------------------
// kmRowState -- states:
                                //"Closed"
#define STATECLOSED             "Lukket"
                                //"View // or "Browse"
#define STATEVIEW               "Vis" // or "Rul"
                                //"Edit"
#define STATEEDIT               "Rediger"
                                //"Append"
#define STATEAPPEND             "Tilfj"
                                //"Filter"
#define STATEFILTER             "Filtrr"
                                //"Locate"
#define STATELOCATE             "Sg"

// -----------------------------------------------------------
// End of header file: custButtDanish.h
// -----------------------------------------------------------

