/*
    -----------------------------------------------------------
    custbuttItalian.h
    February 9, 1999
    Ken Mayer
    Italian Translation of "custButtEnglish.h" 
       by Francesco Navarria

     *** Note: you should copy this file to your
     ..\Visual dBASE\INCLUDE directory for it to
     be used properly by all of your applications.

    This is an 'include' file with the speedTips and
    message box text for each of the buttons in CUSTBUTT.CC.
    The idea is that by defining them here, someone using
    another language can copy this file and translate the
    text in the .H file, and the only change necessary in
    CUSTBUTT.CC is the #INCLUDE statement to include
    the correct file.

    When translating, make sure you do NOT change the names
    of the constants ...

    *****************
    November 11, 2000
    *****************
    NOTE: If you update your application to use the 
    CUSTBUTT.CC file from dUFLP version 2KC (DUFLP2KC.EXE),
    then you MUST update your .H file -- this is a fix based
    on a discovery that EMPTYTABLE and FILTER strings could
    cause problem in code that used the database object
    emptyTable method, or the rowset object's filter property.
    These strings are defined as EMPTYTABLETEXT and FILTERTEXT
    now, and will not cause a conflict.

    Suggestion by Francesco Navarria, in Italy ...
    -----------------------------------------------------------
*/

// ----------------------------------------------------------
// navigation buttons:
                                //"First row in rowset"
#define TOPTIP                  "Prima riga"
                                //"Previous row in rowset"
#define PREVTIP                 "Riga precedente"
                                 //"Next row in rowset"
#define NEXTTIP                 "Riga successiva"
                                //"Last row in rowset"
#define ENDTIP                  "Ultima riga"

// ----------------------------------------------------------
// editing buttons:
                                //"Add new row"
#define ADDTIP                  "Aggiunge una nuova riga"
                                //"Copy data to a new Row"
#define CARRYTIP                "Copia i dati in una nuova riga"
                                //"Edit current row"
#define EDITTIP                 "Modifica la riga corrente"
                                //"Save current row"
#define SAVETIP                 "Salve la riga corrente"
                                //"Delete current row"
#define DELETETIP               "Cancella la riga corrente"
                                //"Abandon changes to row"
#define ABANDONTIP              "Abbandona le modifiche alla riga"

// ----------------------------------------------------------
// filter/locate buttons:
                                //"Filter/Run/Clear Filter"
#define FILTERTIP               "Filtra/Esegue/Elimina il filtro"
                                //"Locate/Run/Clear Locate"
#define LOCATETIP               "Posiziona/Esegue/Elimina il Posiziona"

// ----------------------------------------------------------
// clipboard buttons:
                                //"Cut selected text"
#define CUTTIP                  "Taglia il testo selezionato"
                                //"Copy selected text"
#define COPYTIP                 "Copia il testo selezionato"
                                //"Paste from clipboard"
#define PASTETTIP               "Inserisci il testo copiato"

// ----------------------------------------------------------
// misc. buttons:
                                //"Close this form"
#define CLOSETIP                "Chiude"
                                //"Yes"
#define YESTIP                  "Esce"
                                //"No"
#define NOTIP                   "No"
                                //"Cancel"
#define CANCELTIP               "Abbandona"
                                //"Question? Help?"
#define QUESTIONTIP             "Domande?, Aiuto?"
                                //"Run"
#define RUNTIP                  "Esegue"
                                //"Information"
#define INFOTIP                 "Informazioni"
                                //"Restore from disk"
#define RESTOREFROMDISKTIP      "Recupera da disco"
                                //"Save to disk"
#define SAVETODISKTIP           "Salva su disco"
                                //"Open file ..."
#define OPENFILETIP             "Apri file ..."
                                //"Tool Button"
#define TOOLBUTTONTIP           "Pulsante Attrezzi"
                                //"Print"
#define PRINTTIP                "Stampa"
                                //"Search"
#define SEARCHTIP               "Cerca"
                                //"Continue search"
#define SEARCHAGAINTIP          "Continua la ricerca"
                                //"Replace"
#define REPLACETIP              "Sostituisce"
                               //"Exit"
#define EXITTIP                 "Uscita"
                                //"First Page"
#define FIRSTPAGETIP            "Prima Pagina"
                                //"Next Page"
#define NEXTPAGETIP             "Prossima Pagina"
                                //"Previous Page"
#define PREVIOUSPAGETIP         "Pagina Precedente"
                                //"The Light Goes Off"
#define LIGHTBULBTIP            "Si spegne la luce"


// ----------------------------------------------------------
// strings used in dialog boxes in CUSTBUTT.CC
// ----------------------------------------------------------

// This one appears as the title for various dialogs
                                //"Can't do it!"
#define CANTDOIT                "Non si puo'!"

// ----------------------------------------------------------
// One of these appears anytime we check to see if the rowset
// is null, and is the text in the messagebox
                                //"Cannot Navigate with no rowset!"
#define NAVNOROWSET             "Non si puo' navigare senza rowset!"
                                //"Cannot add rows with no rowset!"
#define ADDNOROWSET             "Non si possono aggiungere righe senza rowset!"
                                //"Cannot copy rows on a form without a rowset!"
#define COPYNOROWSET            "Non si possono copiare righe su una form senza rowset!"
                                //"Cannot update rows on a form without a rowset!"
#define EDITNOROWSET            "Non si possono aggiornare righe su una form senza rowset!"
                                //"Cannot save changes to rows on a form without a rowset!"
#define SAVENOROWSET            "Non si possono salvare le modifiche alle righe su una form senza rowset!"
                                //"Cannot save delete rows on a form without a rowset!"
#define DELETENOROWSET          "Non si possono cancellare righe su una form senza rowset!"
                                //"Cannot abandon changes to rows on a form without a rowset!"
#define ABANDONNOROWSET         "Non si puossono abbandonare le modifiche alle righe su una form senza rowset!"
                                //"Cannot filter an empty or missing rowset!"
#define FILTERNOROWSET          "Non si puo' filtrare un rowset vuoto o mancante!"
                                //"Cannot perform a locate with no rowset!"
#define LOCATENOROWSET          "Non si puo' eseguire un Posiziona senza rowset!"

// ----------------------------------------------------------
// this is the title and message when the user attempts
// to navigate or close a form and the data has
// changed ...
                                //"Data has changed"
#define DATACHANGED             "I dati sono cambiati"
                                //"Save changes before leaving record?"
#define SAVECHANGES             "Salvare le modifiche prima di lasciare il record?"

// ----------------------------------------------------------
// Title when user can't navigate:
                                //"Can't Navigate!"
#define CANTNAVIGATE            "Non si puo' Navigare!"

// ----------------------------------------------------------
// Other messages ...
                                //"You are in filter mode"
#define INFILTERMODE            "Modo filtro"
                                //"You are in locate mode"
#define INLOCATEMODE            "Modo Posiziona"
                                //"At first row in rowset"
#define ATFIRSTROW              "Prima riga"
                                //"At last row in rowset"
#define ATLASTROW               "Ultima riga"
                                //"Row is copied -- you are in append mode. Make changes and save or abandon new row."
#define ROWISCOPIED             "Riga copiata -- Siete im Modo aggiungi. Effettuate le modifiche e salvare o abbandonare la nuova riga."

#define ROWLOCKED               "Row is being edited by another. Try again later."
                                //"Cannot Save edits/new row when you weren't editing/adding"
#define NOTEDITING              "Non si puo' Salvare modifiche/nuova riga se non si sta modificando/aggiungendo"
                                //"Key Violation - That Key already exists."
#define KEYVIOLATION            "Violazione della chiave - La chiave esiste gia'."
                                //"Unknown error -- "
#define UNKNOWNERROR            "Errore sconosciuto -- "
                                //"You are about to delete the current row." + CHR(13) + "Click Yes to delete the current row."
#define DELETEYESNO             "State per cancellare la riga corrente." + CHR(13) + "Scegliere Si per cancellare la riga corrente."
                                //"Nothing to delete!"
#define NOTHINGTODELETE         "Niente da cancellare!"
                                //"Abandoning the row will cancel the filter!"
#define ABANDONWILLCANCELFILTER "L'abbandono della riga eliminera' il filtro!"
                                //"Abandoning the row will cancel the locate!"
#define ABANDONWILLCANCELLOCATE "L'abbandono della riga eliminera' il posiziona!"
                                //"Cannot Abandon edits/new row when you weren't editing/adding!"
#define NOTHINGTOABANDON        "Non si possono abbandonare modifiche/nuova riga se non si sta modificando/aggiungendo!"
                                //"No Match"
#define NOMATCH                 "Nessun Riscontro"
                                //"Exit from filter mode!"
#define EXITFROMFILTER          "Esce dal modo filtro!"
                                //"No more matches!"
#define NOMOREMATCHES           "Nessun altro riscontro!"
                                // "Can't search in memo field!"
#define CANTSEARCHINMEMO        "Non si puo' ricercare in un campo MEMO!"
                                // "Can't filter on a memo field!"
#define CANTFILTERINMEMO        "Non si puo' filtrare in un campo MEMO!"


// ------------------------------------------------------------
// Misc Titles
                                //"Can't Add a new row!"
#define CANTADDROW              "Non si puo' Aggiungere una nuova riga!"
                                //"Can't Copy row!"
#define CANTCOPYROW             "Non si puo' copiare la riga!"
                                //"Copy complete"
#define COPYCOMPLETE            "Copia completa"
                                //"Can't Edit row!"
#define CANTEDITROW             "Non si puo' modificare la riga!"
                                //"Can't Save row!"
#define CANTSAVEROW             "Non si puo' salvare la riga!"
                                //"No changes to save!"
#define NOCHANGES               "Nessuna modifica da salvare!"
                                //"Can't Delete row!"
#define CANTDELETEROW           "Non si puo' cancellare la riga!"
                                //"Alert"
#define ALERT                   "Attenzione"
                                //"Empty table"
#define EMPTYTABLETEXT          "Tabella vuota"
                                //"Cancel Filter?"
#define CANCELFILTER            "Eliminare il Filtro?"
                                //"Cancel Locate?"
#define CANCELLOCATE            "Eliminare il Posiziona?"
                                //"Can't abandon row!"
#define CANTABANDONROW          "Non si puo' abbandonare la riga!"
                                //"Can't set a filter!"
#define CANTSETFILTER           "Non si puo' mettere un filtro!"
                                //"Filter"
#define FILTERTEXT              "Filtro"
                                //"Can't start a search!"
#define CANTSEARCH              "La ricerca non si puoo' avviare!"
                                //"Search"
#define SEARCH                  "Ricerca"

// -----------------------------------------------------------
// kmRowState -- states:
//"Closed"
#define STATECLOSED             "Chiuso"
                                //"View" // or "Browse"
#define STATEVIEW               "Vista" // or "Browse"
                                //"Edit"
#define STATEEDIT               "Modifica"
                                //"Append"
#define STATEAPPEND             "Aggiunge"
                                //"Filter"
#define STATEFILTER             "Filtro"
                                //"Locate"
#define STATELOCATE             "Posiziona"

// -----------------------------------------------------------
// End of header file: custButtItalian.h
// -----------------------------------------------------------

